org.apache.catalina.tribes

## Interface MessageListener

- All Known Implementing Classes:
    ChannelCoordinator, McastService

      public interface MessageListener

  Title: MessageListener

  Description: The listener to be registered with the ChannelReceiver, internal Tribes component

  Version:
    1.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(ChannelMessage msg)`
    `void` | `messageReceived(ChannelMessage msg)` Receive a message from the IO components in the Channel stack

- - ### Method Detail

    - #### messageReceived

          void messageReceived(ChannelMessage msg)

      Receive a message from the IO components in the Channel stack
      Parameters:
        `msg` - ChannelMessage

    - #### accept

          boolean accept(ChannelMessage msg)

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.